# ourskyai-platform-api
No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)

This Python package is automatically generated by the [OpenAPI Generator](https://openapi-generator.tech) project:

- API version: 1.3.3682
- Package version: 1.3.3682
- Build package: org.openapitools.codegen.languages.PythonClientCodegen

## Requirements.

Python 3.7+

## Installation & Usage
### pip install

```sh
pip install ourskyai_platform_api
```
(you may need to run `pip` with root permission: `sudo pip install ourskyai_platform_api`)

### Poetry install
If you manage dependencies with [poetry](https://python-poetry.org/) then you can add the SDK with:

```sh
poetry add ourskyai_platform_api
```

### Import the package

Then import the package:
```python
import ourskyai_platform_api
```

## Getting Started

Please follow the [installation procedure](#installation--usage) and then run the following:

```python

import os
import ourskyai_platform_api
from ourskyai_platform_api.rest import ApiException
from pprint import pprint

# Defining the host is optional and defaults to https://api.prod.oursky.ai
# See configuration.py for a list of all supported configuration parameters.
configuration = ourskyai_platform_api.Configuration(
    host = "https://api.prod.oursky.ai"
)

# The client must configure the authentication and authorization parameters
# in accordance with the API server security policy.
# Examples for each auth method are provided below, use the example that
# satisfies your auth use case.

# Configure Bearer authorization: BearerToken
configuration = ourskyai_platform_api.Configuration(
    access_token = os.environ["BEARER_TOKEN"]
)


# Enter a context with an instance of the API client
with ourskyai_platform_api.ApiClient(configuration) as api_client:
    # Create an instance of the API class
    api_instance = ourskyai_platform_api.DefaultApi(api_client)

    try:
        api_response = api_instance.get_client_token()
        print("The response of DefaultApi->get_client_token:\n")
        pprint(api_response)
    except ApiException as e:
        print("Exception when calling DefaultApi->get_client_token: %s\n" % e)

```

## Documentation for API Endpoints

All URIs are relative to *https://api.prod.oursky.ai*

Class | Method | HTTP request | Description
------------ | ------------- | ------------- | -------------
*DefaultApi* | [**get_client_token**](docs/DefaultApi.md#get_client_token) | **GET** /v1/client-tokens | 
*DefaultApi* | [**v1_camera_match**](docs/DefaultApi.md#v1_camera_match) | **GET** /v1/camera-match | 
*DefaultApi* | [**v1_complete_observation**](docs/DefaultApi.md#v1_complete_observation) | **PUT** /v1/observation-complete | 
*DefaultApi* | [**v1_create_image_set**](docs/DefaultApi.md#v1_create_image_set) | **POST** /v1/image-set | 
*DefaultApi* | [**v1_create_image_set_image**](docs/DefaultApi.md#v1_create_image_set_image) | **POST** /v1/image-set-image | 
*DefaultApi* | [**v1_create_metrics**](docs/DefaultApi.md#v1_create_metrics) | **POST** /v1/metrics | 
*DefaultApi* | [**v1_create_mount**](docs/DefaultApi.md#v1_create_mount) | **POST** /v1/mount | 
*DefaultApi* | [**v1_create_node**](docs/DefaultApi.md#v1_create_node) | **POST** /v1/node | 
*DefaultApi* | [**v1_create_node_controller_artifact**](docs/DefaultApi.md#v1_create_node_controller_artifact) | **PUT** /v1/node-controller-artifact | 
*DefaultApi* | [**v1_create_node_diagnostics**](docs/DefaultApi.md#v1_create_node_diagnostics) | **POST** /v1/node-diagnostics | 
*DefaultApi* | [**v1_create_optical_tube**](docs/DefaultApi.md#v1_create_optical_tube) | **POST** /v1/optical-tube | 
*DefaultApi* | [**v1_delete_image_set**](docs/DefaultApi.md#v1_delete_image_set) | **DELETE** /v1/image-set | 
*DefaultApi* | [**v1_delete_image_set_image**](docs/DefaultApi.md#v1_delete_image_set_image) | **DELETE** /v1/image-set-image | 
*DefaultApi* | [**v1_get_cameras**](docs/DefaultApi.md#v1_get_cameras) | **GET** /v1/cameras | 
*DefaultApi* | [**v1_get_image_set**](docs/DefaultApi.md#v1_get_image_set) | **GET** /v1/image-set | 
*DefaultApi* | [**v1_get_image_set_image**](docs/DefaultApi.md#v1_get_image_set_image) | **GET** /v1/image-set-image | 
*DefaultApi* | [**v1_get_instruction**](docs/DefaultApi.md#v1_get_instruction) | **PUT** /v1/instruction | 
*DefaultApi* | [**v1_get_mount**](docs/DefaultApi.md#v1_get_mount) | **GET** /v1/mount | 
*DefaultApi* | [**v1_get_node_controller_release**](docs/DefaultApi.md#v1_get_node_controller_release) | **GET** /v1/node-controller-releases | 
*DefaultApi* | [**v1_get_node_diagnostic_tasks**](docs/DefaultApi.md#v1_get_node_diagnostic_tasks) | **GET** /v1/node-diagnostic-tasks | 
*DefaultApi* | [**v1_get_node_properties**](docs/DefaultApi.md#v1_get_node_properties) | **GET** /v1/node-properties | 
*DefaultApi* | [**v1_get_nodes**](docs/DefaultApi.md#v1_get_nodes) | **GET** /v1/nodes | 
*DefaultApi* | [**v1_get_optical_tube**](docs/DefaultApi.md#v1_get_optical_tube) | **GET** /v1/optical-tube | 
*DefaultApi* | [**v1_get_or_create_camera**](docs/DefaultApi.md#v1_get_or_create_camera) | **PUT** /v1/camera-match | 
*DefaultApi* | [**v1_get_or_create_mount**](docs/DefaultApi.md#v1_get_or_create_mount) | **PUT** /v1/mount-match | 
*DefaultApi* | [**v1_get_or_create_optical_tube**](docs/DefaultApi.md#v1_get_or_create_optical_tube) | **PUT** /v1/optical-tube-match | 
*DefaultApi* | [**v1_get_plate_solve_catalog_diff**](docs/DefaultApi.md#v1_get_plate_solve_catalog_diff) | **PUT** /v1/plate-solve-catalog-diff | 
*DefaultApi* | [**v1_mount_match**](docs/DefaultApi.md#v1_mount_match) | **GET** /v1/mount-match | 
*DefaultApi* | [**v1_optical_tube_match**](docs/DefaultApi.md#v1_optical_tube_match) | **GET** /v1/optical-tube-match | 
*DefaultApi* | [**v1_update_node**](docs/DefaultApi.md#v1_update_node) | **PUT** /v1/node | 
*DefaultApi* | [**v1_update_node_components**](docs/DefaultApi.md#v1_update_node_components) | **PUT** /v1/node-components | 
*DefaultApi* | [**v2_complete_observation**](docs/DefaultApi.md#v2_complete_observation) | **PUT** /v2/observation-complete | 


## Documentation For Models

 - [CameraMode](docs/CameraMode.md)
 - [EmptySuccess](docs/EmptySuccess.md)
 - [FilterType](docs/FilterType.md)
 - [FitsHeader](docs/FitsHeader.md)
 - [Location](docs/Location.md)
 - [MetricType](docs/MetricType.md)
 - [MountType](docs/MountType.md)
 - [NodeState](docs/NodeState.md)
 - [OpticalTubeType](docs/OpticalTubeType.md)
 - [PlateSolveParameters](docs/PlateSolveParameters.md)
 - [ShutterType](docs/ShutterType.md)
 - [SuccessfulCreate](docs/SuccessfulCreate.md)
 - [TrackingType](docs/TrackingType.md)
 - [V1AutoFocusInstruction](docs/V1AutoFocusInstruction.md)
 - [V1AutoFocusInstructionCoordinatesInner](docs/V1AutoFocusInstructionCoordinatesInner.md)
 - [V1Camera](docs/V1Camera.md)
 - [V1ClientToken](docs/V1ClientToken.md)
 - [V1CompleteObservationRequest](docs/V1CompleteObservationRequest.md)
 - [V1CreateImageSetImageRequest](docs/V1CreateImageSetImageRequest.md)
 - [V1CreateImageSetImageResponse](docs/V1CreateImageSetImageResponse.md)
 - [V1CreateImageSetRequest](docs/V1CreateImageSetRequest.md)
 - [V1CreateMountRequest](docs/V1CreateMountRequest.md)
 - [V1CreateNodeControllerArtifactRequest](docs/V1CreateNodeControllerArtifactRequest.md)
 - [V1CreateNodeDiagnostic](docs/V1CreateNodeDiagnostic.md)
 - [V1CreateNodeDiagnosticsRequest](docs/V1CreateNodeDiagnosticsRequest.md)
 - [V1CreateNodeRequest](docs/V1CreateNodeRequest.md)
 - [V1CreateOpticalTubeRequest](docs/V1CreateOpticalTubeRequest.md)
 - [V1DiagnosticInstruction](docs/V1DiagnosticInstruction.md)
 - [V1ElevationMaskPoint](docs/V1ElevationMaskPoint.md)
 - [V1FileType](docs/V1FileType.md)
 - [V1GainCurve](docs/V1GainCurve.md)
 - [V1GainCurvePoint](docs/V1GainCurvePoint.md)
 - [V1GetInstructionRequest](docs/V1GetInstructionRequest.md)
 - [V1GetNodes](docs/V1GetNodes.md)
 - [V1GetOrCreateCameraRequest](docs/V1GetOrCreateCameraRequest.md)
 - [V1GetOrCreateMountRequest](docs/V1GetOrCreateMountRequest.md)
 - [V1GetOrCreateOpticalTubeRequest](docs/V1GetOrCreateOpticalTubeRequest.md)
 - [V1GetPlateSolveCatalogDiffRequest](docs/V1GetPlateSolveCatalogDiffRequest.md)
 - [V1GroundStationParticipant](docs/V1GroundStationParticipant.md)
 - [V1ImageSet](docs/V1ImageSet.md)
 - [V1ImageSetImage](docs/V1ImageSetImage.md)
 - [V1Instruction](docs/V1Instruction.md)
 - [V1Metric](docs/V1Metric.md)
 - [V1Mount](docs/V1Mount.md)
 - [V1Node](docs/V1Node.md)
 - [V1NodeComponentType](docs/V1NodeComponentType.md)
 - [V1NodeControllerArtifact](docs/V1NodeControllerArtifact.md)
 - [V1NodeDiagnosticType](docs/V1NodeDiagnosticType.md)
 - [V1NodeWithLocation](docs/V1NodeWithLocation.md)
 - [V1ObservationInstruction](docs/V1ObservationInstruction.md)
 - [V1OpticalTube](docs/V1OpticalTube.md)
 - [V1PlateSolveCatalogFile](docs/V1PlateSolveCatalogFile.md)
 - [V1PlateSolveCatalogFileDownload](docs/V1PlateSolveCatalogFileDownload.md)
 - [V1ReadNoisePoint](docs/V1ReadNoisePoint.md)
 - [V1Release](docs/V1Release.md)
 - [V1SetupAction](docs/V1SetupAction.md)
 - [V1SlewTiming](docs/V1SlewTiming.md)
 - [V1SlewTimingInterval](docs/V1SlewTimingInterval.md)
 - [V1UpdateNodeComponentsRequest](docs/V1UpdateNodeComponentsRequest.md)
 - [V1UpdateNodeComponentsRequestCamera](docs/V1UpdateNodeComponentsRequestCamera.md)
 - [V1UpdateNodeComponentsRequestMount](docs/V1UpdateNodeComponentsRequestMount.md)
 - [V1UpdateNodeComponentsRequestOpticalTube](docs/V1UpdateNodeComponentsRequestOpticalTube.md)
 - [V1UpdateNodeRequest](docs/V1UpdateNodeRequest.md)
 - [V1VideoModeFramerateProperty](docs/V1VideoModeFramerateProperty.md)
 - [V2CompleteObservationRequest](docs/V2CompleteObservationRequest.md)


<a id="documentation-for-authorization"></a>
## Documentation For Authorization


Authentication schemes defined for the API:
<a id="BearerToken"></a>
### BearerToken

- **Type**: Bearer authentication

<a id="Roles"></a>
### Roles



## Author


